// ContactArray.h: interface for the ContactArray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONTACTARRAY_H__EE495AE6_57D7_41AE_B286_B7B06C174304__INCLUDED_)
#define AFX_CONTACTARRAY_H__EE495AE6_57D7_41AE_B286_B7B06C174304__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Contact.h"

class ContactArray  
{
public:

	Contact *contacts[100];
	int filled[100];
	
	int AddContact( BYTE _ip1, BYTE _ip2, BYTE _ip3, BYTE _ip4, CString name );
    int DeleteContact( int cNum );
    int GetTabNumber( int cNum );
	void DeleteTab( int tNum );
	int FindByTab( int tNum );
	CString GetName( int cNum );
	CString GetIP( int cNum );
	int SetNewName( int cNum, CString name );
	int CheckIfPresents( BYTE _ip1, BYTE _ip2, BYTE _ip3, BYTE _ip4 );
	int CheckIfPresents( CString addr );
	int CheckIfPresents( int i );
	ContactArray();
	virtual ~ContactArray();

};

#endif // !defined(AFX_CONTACTARRAY_H__EE495AE6_57D7_41AE_B286_B7B06C174304__INCLUDED_)
