// AddDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SChat.h"
#include "AddDlg.h"
#include "SChatDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddDlg dialog


CAddDlg::CAddDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddDlg::IDD, pParent)
{
	ipSet = 0;
	validIP = 0;
	//{{AFX_DATA_INIT(CAddDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAddDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddDlg)
	DDX_Control(pDX, IDC_EDIT1, newName);
	DDX_Control(pDX, IDC_IPADDRESS1, IpAddress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddDlg, CDialog)
	//{{AFX_MSG_MAP(CAddDlg)
	ON_NOTIFY(IPN_FIELDCHANGED, IDC_IPADDRESS1, OnFieldchangedIpaddress1)
	ON_WM_SHOWWINDOW()
	ON_WM_CANCELMODE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddDlg message handlers

void CAddDlg::GetIp( BYTE& _ip1, BYTE& _ip2, BYTE& _ip3, BYTE& _ip4 ) {
	_ip1 = ip1;
	_ip2 = ip2;
	_ip3 = ip3;
	_ip4 = ip4;
}

char* CAddDlg::GetName() {
	return nname;
}

void CAddDlg::OnOK() {

	if( IpAddress.GetAddress( ip1, ip2, ip3, ip4) != 4 ) {
		MessageBox("Address is not filled properly", "Error", MB_OK | MB_ICONERROR );
	    return;
	}
	newName.GetLine( 0, nname, 45 );

	validIP = 1;
	CDialog::OnOK();
}

void CAddDlg::OnFieldchangedIpaddress1(NMHDR* pNMHDR, LRESULT* pResult) {

	*pResult = 0;
}

void CAddDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	if( ipSet == 1 ) {
		IpAddress.SetAddress( ip1, ip2, ip3, ip4 );
	} else {
		IpAddress.ClearAddress();
	}
	
}

void CAddDlg::OnCancelMode() 
{
	CDialog::OnCancelMode();
	
}
