// SChatDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SChat.h"
#include "SChatDlg.h"
#include "AddDlg.h"
#include "hatTab.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

SCSocket::SCSocket(CSChatDlg *dlg)
{
	CSocket::CSocket();
	chatDlg = dlg;
}

BOOL SCSocket::OnMessagePending(){
   MessageBoxEx(NULL, "true", "status", MB_OK, 0);
   return TRUE;
}

void SCSocket::OnReceive(int nErrorCode)       // CMyAsyncSocket is 
                                               // derived from CAsyncSocket
{

    TCHAR buff[4096];
	BYTE a1, a2, a3, a4;
    int nRead;
	CString str;
    UINT port;
    nRead = ReceiveFrom( buff, 4096, str, port ); 
   
    switch (nRead)
    {
    case 0:
         break;
    case SOCKET_ERROR:
         break;
	default:
	    buff[nRead] = 0;
        CString oldhist;
        char *string = ( char* ) malloc( 1000 );
		sprintf( string, "Recieved %d bytes from " + str, nRead ); 
		CString status( string );
		chatDlg->statusText.SetWindowText( status );
		chatDlg->Decompose( str, &a1, &a2, &a3, &a4 );
		char *naddr = ( char* )malloc( 1000 );
		int cn;
		int pres = chatDlg->contactarray->CheckIfPresents( str );
		if( pres != -1 ) {
			if( chatDlg->contactarray->contacts[pres]->tabNumber != -1 ) {
			    cn = pres;
				int tn = chatDlg->contactarray->contacts[pres]->tabNumber;
				chatDlg->TalkTabs.SetCurSel( tn );
			} else {
				cn = pres;
				CString itemText = chatDlg->contactarray->contacts[cn]->cName + 
					" (" + chatDlg->contactarray->contacts[cn]->cIP + ")";
				chatDlg->TalkTabs.InsertItem( chatDlg->numTabs, itemText );
				chatDlg->contactarray->contacts[cn]->tabNumber = chatDlg->numTabs;
				chatDlg->TalkTabs.SetCurSel( chatDlg->numTabs );
				chatDlg->numTabs++;
			}
		} else {
			cn = chatDlg->contactarray->AddContact( a1, a2, a3, a4, "New contact" );
			CString itemText = "New contact (" + str + ")";
			chatDlg->TalkTabs.InsertItem( chatDlg->numTabs, itemText );
		    chatDlg->contactarray->contacts[cn]->tabNumber = chatDlg->numTabs;
			chatDlg->TalkTabs.SetCurSel( chatDlg->numTabs );
			chatDlg->numTabs++;
		}
		CString newmess( buff );
		chatDlg->histEdit.GetWindowText( oldhist );
		if( oldhist != "" ) oldhist += "\r\n";
		oldhist += chatDlg->contactarray->contacts[cn]->cName + ":\r\n";
		oldhist += newmess;
		chatDlg->histEdit.SetWindowText( oldhist );
		chatDlg->UpdateContactList();
		chatDlg->ChangeTab();
	}
    chatDlg->histEdit.ScrollWindow( 0, chatDlg->histEdit.GetScrollLimit( SB_VERT ) );
	CSocket::OnReceive(nErrorCode);
}

int CSChatDlg::Decompose( CString str, BYTE *_ip1, BYTE *_ip2, BYTE *_ip3, BYTE *_ip4 ) {

	return sscanf( str, "%d.%d.%d.%d", _ip1, _ip2, _ip3, _ip4 );
}



class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

    // Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSChatDlg dialog

CSChatDlg::CSChatDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSChatDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSChatDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	sock = new SCSocket(this);
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
    sock->Create(3538, SOCK_DGRAM );
	contactarray = new ContactArray();
	numTabs = 0;
	newnum = -1;
	cursel = -1;
}

void CSChatDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSChatDlg)
	DDX_Control(pDX, IDC_EDIT1, myName);
	DDX_Control(pDX, IDC_STATUS, statusText);
	DDX_Control(pDX, IDC_BUTTON5, sendButton);
	DDX_Control(pDX, IDC_EDIT3, unsentEdit);
	DDX_Control(pDX, IDC_EDIT2, histEdit);
	DDX_Control(pDX, IDC_TAB1, TalkTabs);
	DDX_Control(pDX, IDC_LIST1, ContactList);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSChatDlg, CDialog)
	//{{AFX_MSG_MAP(CSChatDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB1, OnSelchangeTab1)
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkContactList)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON6, OnButtonExit)
	ON_BN_CLICKED(IDC_BUTTON1, OnButtonDisconnect)
	ON_LBN_SELCANCEL(IDC_LIST1, OnSelcancelContactList)
	ON_BN_CLICKED(IDC_BUTTON4, OnButtonDelete)
	ON_BN_CLICKED(IDC_BUTTON5, OnButtonSend)
	ON_BN_CLICKED(IDC_BUTTON7, OnConnect)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSChatDlg message handlers

BOOL CSChatDlg::OnInitDialog() {
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL) {
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty()) {
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	//	TalkTabs.InsertItem(0, _T("ta"));
	
	TalkTabs.Init();	
	sendButton.BringWindowToTop();
	histEdit.BringWindowToTop();
	unsentEdit.BringWindowToTop();
	myName.SetWindowText( "Me" );
	return TRUE;  // return TRUE  unless you set the focus to a control
}


void CSChatDlg::OnSysCommand(UINT nID, LPARAM lParam) {
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	} else {
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSChatDlg::OnPaint() {

	if (IsIconic())	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);

	} else {
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSChatDlg::OnQueryDragIcon() {

	return (HCURSOR) m_hIcon;
}

void CSChatDlg::ChangeTab() {

	int current = TalkTabs.GetCurSel();
	CString str;
	if( cursel != -1 ) {
		int cNum = contactarray->FindByTab( cursel );
		if( cNum != -1 ) {
			histEdit.GetWindowText( str );
			contactarray->contacts[cNum]->cHistory = str;
			unsentEdit.GetWindowText( str );
			contactarray->contacts[cNum]->cUnsent = str;
		}
	}
	if( current != -1 ) {
		int cNum = contactarray->FindByTab( current );
		if( cNum != -1 ) {
			str = contactarray->contacts[cNum]->cHistory;
			histEdit.SetWindowText( str );
			str = contactarray->contacts[cNum]->cUnsent;
			unsentEdit.SetWindowText( str );
			sendButton.ShowWindow( SW_SHOW );
			histEdit.ShowWindow( SW_SHOW );
			unsentEdit.ShowWindow( SW_SHOW );
		}
	} else {
		histEdit.SetWindowText( "" );
		unsentEdit.SetWindowText( "" );
		sendButton.ShowWindow( SW_HIDE );
		histEdit.ShowWindow( SW_HIDE );
		unsentEdit.ShowWindow( SW_HIDE );
	}
	cursel = current;
}

void CSChatDlg::OnSelchangeTab1(NMHDR* pNMHDR, LRESULT* pResult) {
	
	*pResult = 0;
	ChangeTab();
}

void CSChatDlg::OnSelchangeList1() {
	
}

void CSChatDlg::UpdateContactList() {

	ContactList.ResetContent();
	int k = 0;
	int l = 0;
	for( int i = 0; i < 100; i++ ) {
		if( contactarray->CheckIfPresents( i ) == 1 ) {
			CString ni = contactarray->GetIP( i );
			CString nn = contactarray->GetName( i );
			k = ContactList.AddString( nn + " (" + ni + ")" );
			ContactList.SetItemData( k, ( DWORD )i );
		}
	}
	if( newnum > 0 ) {
		for( i = 0; i < ContactList.GetCount(); i++ ) {
			int u = ( int )ContactList.GetItemData( i );
			if( u == newnum ) {
				ContactList.SetCurSel( i );
			}
		}
		newnum = -1;
	}
} 

void CSChatDlg::OnDblclkContactList() {

	int selNum = ContactList.GetCurSel();
	if( selNum == LB_ERR ) return;
	CString itemText;
	ContactList.GetText( selNum, itemText );
	DWORD tn = ContactList.GetItemData( selNum );
	int tnum = contactarray->contacts[tn]->tabNumber;
	
	TCITEM item;
	BOOL res = TalkTabs.GetItem( tnum, &item );
	if( res == FALSE ) {
	    TalkTabs.InsertItem( numTabs, itemText );
		contactarray->contacts[tn]->tabNumber = numTabs;
		TalkTabs.SetCurSel( numTabs );
		numTabs++;
		ChangeTab();
	} else {
		TalkTabs.SetCurSel( tnum );
		ChangeTab();
	}
}

void CSChatDlg::OnOK() {
	
	OnDblclkContactList();
}

void CSChatDlg::OnCancel() {

	CDialog::ShowWindow( SW_MINIMIZE );
}


void CSChatDlg::OnButton2() { // "Add"

	CAddDlg adddlg; 
	adddlg.validIP = 0;
	int i = ContactList.GetCurSel();
	BYTE ip1, ip2, ip3, ip4;
	if( i != LB_ERR ) {
		int k = ( int )ContactList.GetItemData( i );
		adddlg.ip1 = contactarray->contacts[k]->ip1;
		adddlg.ip2 = contactarray->contacts[k]->ip2;
		adddlg.ip3 = contactarray->contacts[k]->ip3;
		adddlg.ip4 = contactarray->contacts[k]->ip4;
		adddlg.ipSet = 1;
	} else adddlg.ipSet = 0;
	adddlg.DoModal();
	if( adddlg.validIP == 1 ) {
		adddlg.GetIp( ip1, ip2, ip3, ip4);
		CString newName = CString( adddlg.GetName() );
		if( newName == "" ) {
			newName = "Untitled";
		}
		int num = contactarray->CheckIfPresents( ip1, ip2, ip3, ip4 );
		if( num == -1 ) {
			newnum = contactarray->AddContact( ip1, ip2, ip3, ip4, newName );
			UpdateContactList();
		} else {
			contactarray->SetNewName( num, newName );
			int cn = num;
			int tn = contactarray->contacts[num]->tabNumber;
			DeleteTab( tn );
			CString itemText = contactarray->contacts[cn]->cName + 
				" (" + contactarray->contacts[cn]->cIP + ")";
			TalkTabs.InsertItem( numTabs, itemText );
			contactarray->contacts[cn]->tabNumber = numTabs;
			TalkTabs.SetCurSel( numTabs );
			numTabs++;
			ChangeTab();
			newnum = num;
			UpdateContactList();
		}
	}
}


void CSChatDlg::OnButtonExit() {
	
	CDialog::OnCancel();
}

void CSChatDlg::DeleteTab( int tn ) {

	if( TalkTabs.DeleteItem( tn ) == TRUE ) {
		contactarray->DeleteTab( tn );
		if( cursel == tn ) cursel = -1;
		if( cursel > tn ) cursel--;
		ChangeTab();
		numTabs--;
	}
}

void CSChatDlg::OnButtonDisconnect() {
	
	int tn = TalkTabs.GetCurSel();
	DeleteTab( tn );
	
}

void CSChatDlg::OnSelcancelContactList() {
	
	ContactList.SetCurSel( -1 );		
}

void CSChatDlg::OnButtonDelete() {

	int i = ContactList.GetCurSel();
	if( i != LB_ERR ) {
		int j = ( int )ContactList.GetItemData( i );
		DeleteTab( contactarray->contacts[j]->tabNumber );
		contactarray->DeleteContact( j );
		UpdateContactList();
	}
}

void CSChatDlg::OnButtonSend() {
	
	CString str, str2;
	unsentEdit.GetWindowText( str );
	histEdit.GetWindowText( str2 );
	if( str2 != "" ) str2 += "\r\n";
	CString mn;
	myName.GetWindowText( mn );
    if( mn = "" ) mn = "Me";
	str2 += mn + ":\r\n";
	histEdit.SetWindowText( str2+str );
	int tn = TalkTabs.GetCurSel();
	int cn = contactarray->FindByTab( tn );
	CString rAddr = contactarray->contacts[cn]->cIP;
	int res = sock->SendTo( str, str.GetLength(), 3538, rAddr ); 

	char *_status = ( char* ) malloc( 1000 );
	sprintf( _status, "Sent %d bytes to " + rAddr , res );
	CString status( _status );
	statusText.SetWindowText( status );
		
	unsentEdit.SetWindowText( "" );
	histEdit.LineScroll( histEdit.GetLineCount()  - 8 - histEdit.GetFirstVisibleLine() );
}

void CSChatDlg::OnConnect() {

	OnDblclkContactList();
}
