// SChatDlg.h : header file
//

#if !defined(AFX_SCHATDLG_H__0446EC25_3612_4A69_AE67_67D9F1C92F27__INCLUDED_)
#define AFX_SCHATDLG_H__0446EC25_3612_4A69_AE67_67D9F1C92F27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSChatDlg dialog

#include "ChatTabCtrl.h"
#include "Contact.h"
#include "ContactArray.h"


class SCSocket : public CSocket
{
friend class CSChatDlg;
public:
	SCSocket(CSChatDlg *dlg);
	virtual BOOL OnMessagePending();
protected:
	
	CSChatDlg *chatDlg;
	virtual void OnReceive(int nErrorCode);

};

class CSChatDlg : public CDialog
{
// Construction
public:
	int cursel;
	int numTabs;
	int newnum;
	CSChatDlg(CWnd* pParent = NULL);	// standard constructor
    void A0( int event );
	ContactArray *contactarray;
	void OnCancel();
	void DeleteTab( int tn );
	void ChangeTab();
	void UpdateContactList();
	int Decompose( CString str, BYTE *_ip1, BYTE *_ip2, BYTE *_ip3, BYTE *_ip4 );
    // Dialog Data
	//{{AFX_DATA(CSChatDlg)
	enum { IDD = IDD_SCHAT_DIALOG };
	CEdit	myName;
	CStatic	statusText;
	CButton	sendButton;
	CEdit	unsentEdit;
	CEdit	histEdit;
	CChatTabCtrl	TalkTabs;
	CListBox	ContactList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSChatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	// Implementation
protected:
	HICON m_hIcon;
    SCSocket *sock;
	// Generated message map functions
	//{{AFX_MSG(CSChatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeTab1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeList1();
	virtual void OnOK();
	afx_msg void OnDblclkContactList();
	afx_msg void OnButton2();
	afx_msg void OnButtonExit();
	afx_msg void OnButtonDisconnect();
	afx_msg void OnSelcancelContactList();
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonSend();
	afx_msg void OnConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//CSChatDlg cdlg;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCHATDLG_H__0446EC25_3612_4A69_AE67_67D9F1C92F27__INCLUDED_)
